Ask Your Question
0

Fedora 25: Can't install

asked 2017-03-12 01:11:25 -0500

xsahajax gravatar image

Hello, I've been trying to install a GUI for a program called f.lux. It is a program which modulates the monitor temperature throughout the day to improve the user's circadian rhythm. Although it can be used without the GUI, the GUI offers many more options which I would like to use. Unfortunately the GUI seems to be optimized for Debian/Ubuntu so installing it on Fedora 25 creates a lot of problems. The GUI requires multiple python libraries some of which I was able to install through DNF and some of which I had to download. I need to download and install the following libs:

python-gconf python-gtk2 python-glade2 libxxf86vm1

I downloaded python-gconf from rpmfind.net , but when I try to install it, it says it requires python-gobject2, so I downloaded the latest version of python-gobject from rpmfind.net but now when I try to install python-gobject it says:

Downloading Packages:
[SKIPPED] gobject-introspection-1.50.0-1.fc25.i686.rpm: Already downloaded     
[SKIPPED] pycairo-1.10.0-5.fc25.i686.rpm: Already downloaded                   
[SKIPPED] python-gobject-base-3.22.0-1.fc25.i686.rpm: Already downloaded       
[SKIPPED] cairo-gobject-1.14.8-1.fc25.i686.rpm: Already downloaded             
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/pycairo/examples/Makefile from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/arc.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/arc_negative.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/clip.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/curve_rectangle.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/curve_to.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/ellipse.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/fill_and_stroke.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/fill_and_stroke2.ps from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25.x86_64
  file /usr/share/doc/pycairo/examples/cairo_snippets/snippets/glyph_path.pdf from install of pycairo-1.10.0-5.fc25.i686 conflicts with file from package pycairo-1.10.0-5.fc25 ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2017-03-12 01:53:29 -0500

florian gravatar image

updated 2017-03-12 01:54:43 -0500

You should simply use redshift - it does the same. sudo dnf info redshift

You will have to find a way to make it work under Wayland but that seems easily possible:

https://copr.fedorainfracloud.org/cop...

https://github.com/benzea/gnome-shell...

http://www.thelinuxrain.com/articles/...

edit flag offensive delete link more

Comments

I tried redshift but it doesn't have temperature settings. I installed redshift and redshift-gtk, but I want to decrease the lightning at night to 1200K (ember) and as far as I could find, redshift doesn't have these settings. Also I'm not sure whether redshift actually decreases blue light or just displays a red layer over. EDIT: In the articles you sent me redshift does have lighting settings. I guess it's a different GUI. I will check it out.

xsahajax gravatar imagexsahajax ( 2017-03-12 03:44:11 -0500 )edit

Install fail. "Error: package gnome-shell-extension-redshift-0-4.git5e28fbf.fc25.noarch requires gnome-settings-daemon-redshift, but none of the providers can be installed (try to add '--allowerasing' to command line to replace conflicting packages) " How to?

eexpss gravatar imageeexpss ( 2017-03-28 01:56:36 -0500 )edit
0

answered 2018-11-11 17:43:52 -0500

hellork gravatar image

I realize this is an old topic, but you have set up a conflict between x86_64 and i386 packages. In English, you should install the 64-bit version of packages whenever possible. If it is not possible to get a 64-bit version of the application, you can, at your own risk, remove the offending 64-bit packages and install only required i386 package dependencies for that app.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-03-12 01:11:25 -0500

Seen: 466 times

Last updated: Nov 11 '18